{
  "id": "bc7091407c43c1b61d2e60ef",
  "source": "go:parse",
  "type": "go-type",
  "title": "parse.type ChainNode added in go1.1",
  "content": "# type parse.type ChainNode ¶\n\n      added in\n      go1.1\n\n```\ntype ChainNode struct {\n\tNodeType\n\tPos\n\n\tNode  Node\n\tField []string // The identifiers in lexical order.\n\t// contains filtered or unexported fields\n}\n```\n\nChainNode holds a term followed by a chain of field accesses (identifier starting with '.').\nThe names may be chained ('.x.y').\nThe periods are dropped from each ident.",
  "url": "https://pkg.go.dev/parse#type ChainNode ¶\n  \n    \n      added in\n      go1.1",
  "metadata": {
    "fields": "null",
    "import_path": "Standard library/text/template/parse",
    "kind": "type",
    "method_count": 0,
    "package": "parse",
    "symbol": "type ChainNode ¶\n  \n    \n      added in\n      go1.1",
    "type_kind": "alias",
    "underlying": "type ChainNode struct {\n\tNodeType\n\tPos\n\n\tNode  Node\n\tField []string // The identifiers in lexical order.\n\t// contains filtered or unexported fields\n}"
  },
  "hash": "8b6b089bda36d68ad4816cb8c2a6327fb6b3a872a32f1b4d47b53aa0441c8ae8",
  "timestamp": "2026-02-23T11:22:10.617556939+01:00"
}